Loading...
Searching...
No Matches
read_chopper_pack_file.cpp File Reference

Implements raptor::hibf::read_chopper_pack_file. More...

`#include <lemon/list_graph.h>`
`#include <raptor/build/hibf/parse_chopper_pack_header.hpp>`
`#include <raptor/build/hibf/parse_chopper_pack_line.hpp>`
`#include <raptor/build/hibf/read_chopper_pack_file.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::read_chopper_pack_file (build_data< data_layout_mode > &data, std::string const &chopper_pack_filename)
template void | raptor::hibf::read_chopper_pack_file< seqan3::data_layout::compressed > (build_data< seqan3::data_layout::compressed > &, std::string const &)
template void | raptor::hibf::read_chopper_pack_file< seqan3::data_layout::uncompressed > (build_data< seqan3::data_layout::uncompressed > &, std::string const &)

## Detailed Description

Implements raptor::hibf::read_chopper_pack_file.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>